org.jclouds.jenkins.v1.domain
Class LastBuild

java.lang.Object
  extended by org.jclouds.jenkins.v1.domain.LastBuild

public class LastBuild
extends Object

Minimal info about a LastBuild GET http://host/job/project/lastBuild/api/json

Author:
Andrea Turli

Nested Class Summary
static class LastBuild.Builder<B extends LastBuild.Builder<B>>
           
 
Constructor Summary
protected LastBuild(LastBuild.Builder<?> builder)
           
 
Method Summary
static LastBuild.Builder<?> builder()
           
 boolean clone(Object o)
           
 boolean equals(Object o)
           
 String getBuilding()
          building of the lastBuild
 String getDescription()
          description of the lastBuild
 String getDuration()
          duration of the lastBuild
 String getEstimatedDuration()
          estimated duration of the lastBuild
 String getFullDisplayName()
          full Display Name of the lastBuild
 String getId()
          id of the lastBuild
 String getResult()
          result of the lastBuild
 String getTimestamp()
          timestamp of the lastBuild
 URI getUrl()
          url of the lastBuild
 int hashCode()
           
protected  com.google.common.base.Objects.ToStringHelper string()
           
 LastBuild.Builder<?> toBuilder()
           
 String toString()
           
 
Methods inherited from class java.lang.Object
clone, finalize, getClass, notify, notifyAll, wait, wait, wait
 

Constructor Detail

LastBuild

protected LastBuild(LastBuild.Builder<?> builder)
Method Detail

builder

public static LastBuild.Builder<?> builder()

toBuilder

public LastBuild.Builder<?> toBuilder()

getId

public String getId()
id of the lastBuild


getUrl

public URI getUrl()
url of the lastBuild


getBuilding

public String getBuilding()
building of the lastBuild


getDescription

public String getDescription()
description of the lastBuild


getDuration

public String getDuration()
duration of the lastBuild


getEstimatedDuration

public String getEstimatedDuration()
estimated duration of the lastBuild


getFullDisplayName

public String getFullDisplayName()
full Display Name of the lastBuild


getResult

public String getResult()
result of the lastBuild


getTimestamp

public String getTimestamp()
timestamp of the lastBuild


equals

public boolean equals(Object o)
Overrides:
equals in class Object

clone

public boolean clone(Object o)

hashCode

public int hashCode()
Overrides:
hashCode in class Object

toString

public String toString()
Overrides:
toString in class Object

string

protected com.google.common.base.Objects.ToStringHelper string()


Copyright © 2009-2012 jclouds. All Rights Reserved.